| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.OpenGL.DrawingArea

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Class Hierarchy
Types
Constructors
Methods

Description
Synopsis

data GLDrawingArea
glDrawingAreaNew :: GLConfig -> IO GLDrawingArea
withGLDrawingArea :: GLDrawingArea -> (GLWindow -> IO a) -> IO a
glDrawingAreaGetGLConfig :: GLDrawingArea -> IO GLConfig
glDrawingAreaGetGLContext :: GLDrawingArea -> IO GLContext
glDrawingAreaGetGLWindow :: GLDrawingArea -> IO GLWindow

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----DrawingArea
     |                     +----GLDrawingArea

Types
data GLDrawingArea

Instances

GObjectClass GLDrawingArea
DrawingAreaClass GLDrawingArea
WidgetClass GLDrawingArea
ObjectClass GLDrawingArea

Constructors
glDrawingAreaNew :: GLConfig -> IO GLDrawingArea
Methods
withGLDrawingArea :: GLDrawingArea -> (GLWindow -> IO a) -> IO a
glDrawingAreaGetGLConfig :: GLDrawingArea -> IO GLConfig
glDrawingAreaGetGLContext :: GLDrawingArea -> IO GLContext
glDrawingAreaGetGLWindow :: GLDrawingArea -> IO GLWindow
Produced by Haddock version 2.4.2